Index: trunk/lib/FlairSensorActuator/src/Camera.cpp
===================================================================
--- trunk/lib/FlairSensorActuator/src/Camera.cpp	(revision 14)
+++ trunk/lib/FlairSensorActuator/src/Camera.cpp	(revision 15)
@@ -31,81 +31,76 @@
 using namespace flair::gui;
 
-namespace flair { namespace sensor {
+namespace flair {
+namespace sensor {
 
-Camera::Camera(const FrameworkManager* parent,string name,uint16_t width,uint16_t height,cvimage::Type::Format format) : IODevice(parent,name) {
-    plot_tab=NULL;
+Camera::Camera(const FrameworkManager *parent, string name, uint16_t width,
+               uint16_t height, cvimage::Type::Format format)
+    : IODevice(parent, name) {
+  plot_tab = NULL;
 
-    //do not allocate imagedata, allocation is done by the camera
-    output=new cvimage((IODevice*)this,width,height,format,"out",false);
+  // do not allocate imagedata, allocation is done by the camera
+  output = new cvimage((IODevice *)this, width, height, format, "out", false);
 
-    //station sol
-    main_tab=new Tab(parent->GetTabWidget(),name);
-    tab=new TabWidget(main_tab->NewRow(),name);
-	sensor_tab=new Tab(tab,"Setup");
-	setup_groupbox=new GroupBox(sensor_tab->NewRow(),name);
-	setup_layout=new GridLayout(sensor_tab->NewRow(),"setup");
+  // station sol
+  main_tab = new Tab(parent->GetTabWidget(), name);
+  tab = new TabWidget(main_tab->NewRow(), name);
+  sensor_tab = new Tab(tab, "Setup");
+  setup_groupbox = new GroupBox(sensor_tab->NewRow(), name);
+  setup_layout = new GridLayout(sensor_tab->NewRow(), "setup");
 }
 
-Camera::Camera(const IODevice* parent,std::string name) : IODevice(parent,name) {
-    plot_tab=NULL;
-    main_tab=NULL;
-    tab=NULL;
-	sensor_tab=NULL;
-	setup_groupbox=NULL;
+Camera::Camera(const IODevice *parent, std::string name)
+    : IODevice(parent, name) {
+  plot_tab = NULL;
+  main_tab = NULL;
+  tab = NULL;
+  sensor_tab = NULL;
+  setup_groupbox = NULL;
 
-    output=NULL;
+  output = NULL;
 }
 
 Camera::~Camera() {
-    if(main_tab!=NULL) delete main_tab;
+  if (main_tab != NULL)
+    delete main_tab;
 }
 
 DataType const &Camera::GetOutputDataType() const {
-    return output->GetDataType();
+  return output->GetDataType();
 }
 
-GroupBox* Camera::GetGroupBox(void) const {
-    return setup_groupbox;
+GroupBox *Camera::GetGroupBox(void) const { return setup_groupbox; }
+
+GridLayout *Camera::GetLayout(void) const { return setup_layout; }
+
+void Camera::UseDefaultPlot(const core::cvimage *image) {
+  if (tab == NULL) {
+    Err("not applicable for simulation part.\n");
+    return;
+  }
+
+  plot_tab = new Tab(tab, "Picture");
+  Picture *plot = new Picture(plot_tab->NewRow(), ObjectName(), image);
 }
 
-GridLayout* Camera::GetLayout(void) const {
-    return setup_layout;
+Tab *Camera::GetPlotTab(void) const { return plot_tab; }
+
+uint16_t Camera::Width(void) const { return output->GetDataType().GetWidth(); }
+
+uint16_t Camera::Height(void) const {
+  return output->GetDataType().GetHeight();
 }
 
-void Camera::UseDefaultPlot(const core::cvimage *image) {
-    if(tab==NULL) {
-        Err("not applicable for simulation part.\n");
-        return;
-    }
-
-    plot_tab=new Tab(tab,"Picture");
-        Picture* plot=new Picture(plot_tab->NewRow(),ObjectName(),image);
-}
-
-Tab* Camera::GetPlotTab(void) const {
-    return plot_tab;
-}
-
-uint16_t Camera::Width(void) const {
-    return output->GetDataType().GetWidth();
-}
-
-uint16_t Camera::Height(void) const {
-    return output->GetDataType().GetHeight();
-}
-
-core::cvimage* Camera::Output(void) {
-    return output;
-}
+core::cvimage *Camera::Output(void) { return output; }
 
 void Camera::SaveToFile(string filename) const {
-    Printf("saving %s, size %i\n",filename.c_str(),output->img->imageSize);
-    std::ofstream pFile;
-	pFile.open (filename);
-	output->GetMutex();
-	pFile.write(output->img->imageData, output->img->imageSize);
-    output->ReleaseMutex();
+  Printf("saving %s, size %i\n", filename.c_str(), output->img->imageSize);
+  std::ofstream pFile;
+  pFile.open(filename);
+  output->GetMutex();
+  pFile.write(output->img->imageData, output->img->imageSize);
+  output->ReleaseMutex();
 
-	pFile.close();
+  pFile.close();
 }
 
Index: trunk/lib/FlairSensorActuator/src/Camera.h
===================================================================
--- trunk/lib/FlairSensorActuator/src/Camera.h	(revision 14)
+++ trunk/lib/FlairSensorActuator/src/Camera.h	(revision 15)
@@ -18,129 +18,125 @@
 #include <cvimage.h>
 
-namespace flair
-{
-    namespace gui
-    {
-        class GroupBox;
-        class Tab;
-        class TabWidget;
-        class Picture;
-        class GridLayout;
-    }
+namespace flair {
+namespace gui {
+class GroupBox;
+class Tab;
+class TabWidget;
+class Picture;
+class GridLayout;
+}
 }
 
-namespace flair
-{
-namespace sensor
-{
-    /*! \class Camera
-    *
-    * \brief Base class for Camera
-    *
-    * Use this class to define a custom Camera.
-    *
-    */
-    class Camera : public core::IODevice
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a Camera.
-            *
-            * \param parent parent
-            * \param name name
-            * \param width width
-            * \param height height
-            * \param format image format
-            */
-            Camera(const core::FrameworkManager* parent,std::string name,uint16_t width,uint16_t height,core::cvimage::Type::Format format);
+namespace flair {
+namespace sensor {
+/*! \class Camera
+*
+* \brief Base class for Camera
+*
+* Use this class to define a custom Camera.
+*
+*/
+class Camera : public core::IODevice {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a Camera.
+  *
+  * \param parent parent
+  * \param name name
+  * \param width width
+  * \param height height
+  * \param format image format
+  */
+  Camera(const core::FrameworkManager *parent, std::string name, uint16_t width,
+         uint16_t height, core::cvimage::Type::Format format);
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct a Camera. \n
-            * This contructor must only be called for a simulated device.
-            *
-            * \param parent parent
-            * \param name name
-            */
-            Camera(const core::IODevice* parent,std::string name);
+  /*!
+  * \brief Constructor
+  *
+  * Construct a Camera. \n
+  * This contructor must only be called for a simulated device.
+  *
+  * \param parent parent
+  * \param name name
+  */
+  Camera(const core::IODevice *parent, std::string name);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Camera();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Camera();
 
-            /*!
-            * \brief Use default plot
-            *
-            * \param image image to display
-            */
-            void UseDefaultPlot(const core::cvimage *image);
+  /*!
+  * \brief Use default plot
+  *
+  * \param image image to display
+  */
+  void UseDefaultPlot(const core::cvimage *image);
 
-            /*!
-            * \brief get Layout
-            *
-            * \return a Layout available
-            */
-            gui::GridLayout* GetLayout(void) const;
+  /*!
+  * \brief get Layout
+  *
+  * \return a Layout available
+  */
+  gui::GridLayout *GetLayout(void) const;
 
-            /*!
-            * \brief plot tab
-            *
-            * \return plot tab
-            */
-            gui::Tab* GetPlotTab(void) const;
+  /*!
+  * \brief plot tab
+  *
+  * \return plot tab
+  */
+  gui::Tab *GetPlotTab(void) const;
 
-            /*!
-            * \brief Save picture to file
-            *
-            * \param filename filename
-            */
-            void SaveToFile(std::string filename) const;
+  /*!
+  * \brief Save picture to file
+  *
+  * \param filename filename
+  */
+  void SaveToFile(std::string filename) const;
 
-            /*!
-            * \brief Width
-            *
-            * \return width
-            */
-            uint16_t Width(void) const;
+  /*!
+  * \brief Width
+  *
+  * \return width
+  */
+  uint16_t Width(void) const;
 
-            /*!
-            * \brief Height
-            *
-            * \return height
-            */
-            uint16_t Height(void) const;
+  /*!
+  * \brief Height
+  *
+  * \return height
+  */
+  uint16_t Height(void) const;
 
-             /*!
-            * \brief Output matrix
-            *
-            * Output matrix is of the same size as declared in constructor. \n
-            *
-            * \return the output matrix
-            */
-            core::cvimage* Output(void);
+  /*!
+ * \brief Output matrix
+ *
+ * Output matrix is of the same size as declared in constructor. \n
+ *
+ * \return the output matrix
+ */
+  core::cvimage *Output(void);
 
-            core::DataType const &GetOutputDataType() const;
+  core::DataType const &GetOutputDataType() const;
 
-        protected:
-            /*!
-            * \brief get GroupBox
-            *
-            * \return a GroupBox available
-            */
-            gui::GroupBox* GetGroupBox(void) const;
+protected:
+  /*!
+  * \brief get GroupBox
+  *
+  * \return a GroupBox available
+  */
+  gui::GroupBox *GetGroupBox(void) const;
 
-            core::cvimage *output;
+  core::cvimage *output;
 
-        private:
-            gui::Tab *main_tab,*sensor_tab,*plot_tab;
-            gui::TabWidget *tab;
-            gui::GroupBox* setup_groupbox;
-            gui::GridLayout* setup_layout;
-    };
+private:
+  gui::Tab *main_tab, *sensor_tab, *plot_tab;
+  gui::TabWidget *tab;
+  gui::GroupBox *setup_groupbox;
+  gui::GridLayout *setup_layout;
+};
 } // end namespace sensor
 } // end namespace flair
Index: trunk/lib/FlairSensorActuator/src/Controller.cpp
===================================================================
--- trunk/lib/FlairSensorActuator/src/Controller.cpp	(revision 14)
+++ trunk/lib/FlairSensorActuator/src/Controller.cpp	(revision 15)
@@ -19,119 +19,130 @@
 using namespace flair::core;
 
-namespace flair { namespace sensor {
+namespace flair {
+namespace sensor {
 
-RumbleMessage::RumbleMessage(unsigned int leftForce,unsigned int leftTimeout,unsigned int rightForce,unsigned int rightTimeout):Message(sizeof(ControllerAction)+sizeof(leftForce)+sizeof(leftTimeout)+sizeof(rightForce)+sizeof(rightTimeout)) {
-    SetLeftForce(leftForce);
-    SetLeftTimeout(leftTimeout);
-    SetRightForce(rightForce);
-    SetRightTimeout(rightTimeout);
-    buffer[0]=(char)ControllerAction::Rumble;
+RumbleMessage::RumbleMessage(unsigned int leftForce, unsigned int leftTimeout,
+                             unsigned int rightForce, unsigned int rightTimeout)
+    : Message(sizeof(ControllerAction) + sizeof(leftForce) +
+              sizeof(leftTimeout) + sizeof(rightForce) + sizeof(rightTimeout)) {
+  SetLeftForce(leftForce);
+  SetLeftTimeout(leftTimeout);
+  SetRightForce(rightForce);
+  SetRightTimeout(rightTimeout);
+  buffer[0] = (char)ControllerAction::Rumble;
 }
 
 unsigned int RumbleMessage::GetLeftForce() const {
-    unsigned int leftForce;
-    memcpy(&leftForce,buffer+leftForceOffset,sizeof(leftForce));
-    return leftForce;
+  unsigned int leftForce;
+  memcpy(&leftForce, buffer + leftForceOffset, sizeof(leftForce));
+  return leftForce;
 }
 
 unsigned int RumbleMessage::GetLeftTimeout() const {
-    unsigned int leftTimeout;
-    memcpy(&leftTimeout,buffer+leftTimeoutOffset,sizeof(leftTimeout));
-    return leftTimeout;
+  unsigned int leftTimeout;
+  memcpy(&leftTimeout, buffer + leftTimeoutOffset, sizeof(leftTimeout));
+  return leftTimeout;
 }
 
 unsigned int RumbleMessage::GetRightForce() const {
-    unsigned int rightForce;
-    memcpy(&rightForce,buffer+rightForceOffset,sizeof(rightForce));
-    return rightForce;
+  unsigned int rightForce;
+  memcpy(&rightForce, buffer + rightForceOffset, sizeof(rightForce));
+  return rightForce;
 }
 
 unsigned int RumbleMessage::GetRightTimeout() const {
-    unsigned int rightTimeout;
-    memcpy(&rightTimeout,buffer+rightTimeoutOffset,sizeof(rightTimeout));
-    return rightTimeout;
+  unsigned int rightTimeout;
+  memcpy(&rightTimeout, buffer + rightTimeoutOffset, sizeof(rightTimeout));
+  return rightTimeout;
 }
 
 void RumbleMessage::SetLeftForce(unsigned int leftForce) {
-    memcpy(buffer+leftForceOffset,&leftForce,sizeof(leftForce));
+  memcpy(buffer + leftForceOffset, &leftForce, sizeof(leftForce));
 }
 
 void RumbleMessage::SetLeftTimeout(unsigned int leftTimeout) {
-    memcpy(buffer+leftTimeoutOffset,&leftTimeout,sizeof(leftTimeout));
+  memcpy(buffer + leftTimeoutOffset, &leftTimeout, sizeof(leftTimeout));
 }
 
 void RumbleMessage::SetRightForce(unsigned int rightForce) {
-    memcpy(buffer+rightForceOffset,&rightForce,sizeof(rightForce));
+  memcpy(buffer + rightForceOffset, &rightForce, sizeof(rightForce));
 }
 
-void RumbleMessage::SetRightTimeout(unsigned int rightTimeout){
-    memcpy(buffer+rightTimeoutOffset,&rightTimeout,sizeof(rightTimeout));
+void RumbleMessage::SetRightTimeout(unsigned int rightTimeout) {
+  memcpy(buffer + rightTimeoutOffset, &rightTimeout, sizeof(rightTimeout));
 }
 
-SwitchLedMessage::SwitchLedMessage(bool isOn, unsigned int ledId):Message(sizeof(ControllerAction)+sizeof(isOn)+sizeof(ledId)) {
-    if (isOn) SetOn(); else SetOff();
-    SetLedId(ledId);
+SwitchLedMessage::SwitchLedMessage(bool isOn, unsigned int ledId)
+    : Message(sizeof(ControllerAction) + sizeof(isOn) + sizeof(ledId)) {
+  if (isOn)
+    SetOn();
+  else
+    SetOff();
+  SetLedId(ledId);
 }
 
 bool SwitchLedMessage::IsOn() const {
-    bool isOn;
-    memcpy(&isOn,buffer+isOnOffset,sizeof(isOn));
-    return isOn;
+  bool isOn;
+  memcpy(&isOn, buffer + isOnOffset, sizeof(isOn));
+  return isOn;
 }
 
 unsigned int SwitchLedMessage::GetLedId() const {
-    unsigned int ledId;
-    memcpy(&ledId,buffer+ledIdOffset,sizeof(ledId));
-    return ledId;
+  unsigned int ledId;
+  memcpy(&ledId, buffer + ledIdOffset, sizeof(ledId));
+  return ledId;
 }
 
 void SwitchLedMessage::SetOn() {
-    bool isOn=true;
-    memcpy(buffer+isOnOffset,&isOn,sizeof(isOn));
+  bool isOn = true;
+  memcpy(buffer + isOnOffset, &isOn, sizeof(isOn));
 }
 
 void SwitchLedMessage::SetOff() {
-    bool isOn=false;
-    memcpy(buffer+isOnOffset,&isOn,sizeof(isOn));
+  bool isOn = false;
+  memcpy(buffer + isOnOffset, &isOn, sizeof(isOn));
 }
 
 void SwitchLedMessage::SetLedId(unsigned int ledId) {
-    memcpy(buffer+ledIdOffset,&ledId,sizeof(ledId));
+  memcpy(buffer + ledIdOffset, &ledId, sizeof(ledId));
 }
 
-FlashLedMessage::FlashLedMessage(unsigned int ledId,unsigned int onTime,unsigned int offTime):Message(sizeof(ControllerAction)+sizeof(ledId)+sizeof(onTime)+sizeof(offTime)) {
-    SetLedId(ledId);
-    SetOnTime(onTime);
-    SetOffTime(offTime);
+FlashLedMessage::FlashLedMessage(unsigned int ledId, unsigned int onTime,
+                                 unsigned int offTime)
+    : Message(sizeof(ControllerAction) + sizeof(ledId) + sizeof(onTime) +
+              sizeof(offTime)) {
+  SetLedId(ledId);
+  SetOnTime(onTime);
+  SetOffTime(offTime);
 }
 
 unsigned int FlashLedMessage::GetLedId() const {
-    unsigned int ledId;
-    memcpy(&ledId,buffer+ledIdOffset,sizeof(ledId));
-    return ledId;
+  unsigned int ledId;
+  memcpy(&ledId, buffer + ledIdOffset, sizeof(ledId));
+  return ledId;
 }
 
 unsigned int FlashLedMessage::GetOnTime() const {
-    unsigned int onTime;
-    memcpy(&onTime,buffer+onTimeOffset,sizeof(onTime));
-    return onTime;
+  unsigned int onTime;
+  memcpy(&onTime, buffer + onTimeOffset, sizeof(onTime));
+  return onTime;
 }
 
 unsigned int FlashLedMessage::GetOffTime() const {
-    unsigned int offTime;
-    memcpy(&offTime,buffer+offTimeOffset,sizeof(offTime));
-    return offTime;
+  unsigned int offTime;
+  memcpy(&offTime, buffer + offTimeOffset, sizeof(offTime));
+  return offTime;
 }
 
 void FlashLedMessage::SetLedId(unsigned int ledId) {
-    memcpy(buffer+ledIdOffset,&ledId,sizeof(ledId));
+  memcpy(buffer + ledIdOffset, &ledId, sizeof(ledId));
 }
 
 void FlashLedMessage::SetOnTime(unsigned int onTime) {
-    memcpy(buffer+onTimeOffset,&onTime,sizeof(onTime));
+  memcpy(buffer + onTimeOffset, &onTime, sizeof(onTime));
 }
 
 void FlashLedMessage::SetOffTime(unsigned int offTime) {
-    memcpy(buffer+offTimeOffset,&offTime,sizeof(offTime));
+  memcpy(buffer + offTimeOffset, &offTime, sizeof(offTime));
 }
 
Index: trunk/lib/FlairSensorActuator/src/Controller.h
===================================================================
--- trunk/lib/FlairSensorActuator/src/Controller.h	(revision 14)
+++ trunk/lib/FlairSensorActuator/src/Controller.h	(revision 15)
@@ -23,66 +23,72 @@
 
 namespace flair {
-    namespace core {
-        class Message;
-    }
+namespace core {
+class Message;
+}
 }
 
-namespace flair { namespace sensor {
+namespace flair {
+namespace sensor {
 
-    enum class ControllerAction {
-        SetLedOn,
-        SetLedOff,
-        Rumble,
-        FlashLed,
-        Exit
-    };
+enum class ControllerAction { SetLedOn, SetLedOff, Rumble, FlashLed, Exit };
 
-    class RumbleMessage: public core::Message {
-    public:
-        RumbleMessage(unsigned int leftForce,unsigned int leftTimeout,unsigned int rightForce,unsigned int rightTimeout);
-        unsigned int GetLeftForce() const;
-        unsigned int GetLeftTimeout() const;
-        unsigned int GetRightForce() const;
-        unsigned int GetRightTimeout() const;
-        void SetLeftForce(unsigned int leftForce);
-        void SetLeftTimeout(unsigned int leftTimeout);
-        void SetRightForce(unsigned int rightForce);
-        void SetRightTimeout(unsigned int rightTimeout);
-    private:
-        static const unsigned int leftForceOffset=sizeof(ControllerAction);
-        static const unsigned int leftTimeoutOffset=sizeof(ControllerAction)+sizeof(unsigned int);
-        static const unsigned int rightForceOffset=sizeof(ControllerAction)+2*sizeof(unsigned int);
-        static const unsigned int rightTimeoutOffset=sizeof(ControllerAction)+3*sizeof(unsigned int);
-    };
+class RumbleMessage : public core::Message {
+public:
+  RumbleMessage(unsigned int leftForce, unsigned int leftTimeout,
+                unsigned int rightForce, unsigned int rightTimeout);
+  unsigned int GetLeftForce() const;
+  unsigned int GetLeftTimeout() const;
+  unsigned int GetRightForce() const;
+  unsigned int GetRightTimeout() const;
+  void SetLeftForce(unsigned int leftForce);
+  void SetLeftTimeout(unsigned int leftTimeout);
+  void SetRightForce(unsigned int rightForce);
+  void SetRightTimeout(unsigned int rightTimeout);
 
-    class SwitchLedMessage: public core::Message {
-    public:
-        SwitchLedMessage(bool isOn,unsigned int ledId);
-        bool IsOn() const;
-        unsigned int GetLedId() const;
-        void SetOn();
-        void SetOff();
-        void SetLedId(unsigned int ledId);
-    private:
-        static const unsigned int isOnOffset=sizeof(ControllerAction);
-        static const unsigned int ledIdOffset=sizeof(ControllerAction)+sizeof(bool);
-    };
+private:
+  static const unsigned int leftForceOffset = sizeof(ControllerAction);
+  static const unsigned int leftTimeoutOffset =
+      sizeof(ControllerAction) + sizeof(unsigned int);
+  static const unsigned int rightForceOffset =
+      sizeof(ControllerAction) + 2 * sizeof(unsigned int);
+  static const unsigned int rightTimeoutOffset =
+      sizeof(ControllerAction) + 3 * sizeof(unsigned int);
+};
 
-    class FlashLedMessage: public core::Message {
-    public:
-        FlashLedMessage(unsigned int ledId,unsigned int onTime,unsigned int offTime);
-        unsigned int GetLedId() const;
-        unsigned int GetOnTime() const;
-        unsigned int GetOffTime() const;
-        void SetLedId(unsigned int ledId);
-        void SetOnTime(unsigned int onTime);
-        void SetOffTime(unsigned int offTime);
-    private:
-        static const unsigned int ledIdOffset=sizeof(ControllerAction);
-        static const unsigned int onTimeOffset=sizeof(ControllerAction)+sizeof(unsigned int);
-        static const unsigned int offTimeOffset=sizeof(ControllerAction)+2*sizeof(unsigned int);
-    };
+class SwitchLedMessage : public core::Message {
+public:
+  SwitchLedMessage(bool isOn, unsigned int ledId);
+  bool IsOn() const;
+  unsigned int GetLedId() const;
+  void SetOn();
+  void SetOff();
+  void SetLedId(unsigned int ledId);
 
-}}
+private:
+  static const unsigned int isOnOffset = sizeof(ControllerAction);
+  static const unsigned int ledIdOffset =
+      sizeof(ControllerAction) + sizeof(bool);
+};
+
+class FlashLedMessage : public core::Message {
+public:
+  FlashLedMessage(unsigned int ledId, unsigned int onTime,
+                  unsigned int offTime);
+  unsigned int GetLedId() const;
+  unsigned int GetOnTime() const;
+  unsigned int GetOffTime() const;
+  void SetLedId(unsigned int ledId);
+  void SetOnTime(unsigned int onTime);
+  void SetOffTime(unsigned int offTime);
+
+private:
+  static const unsigned int ledIdOffset = sizeof(ControllerAction);
+  static const unsigned int onTimeOffset =
+      sizeof(ControllerAction) + sizeof(unsigned int);
+  static const unsigned int offTimeOffset =
+      sizeof(ControllerAction) + 2 * sizeof(unsigned int);
+};
+}
+}
 
 #endif // CONTROLLER_H
